//
// Drahtlose Übermittlung mit 433 MHz - Sender
//


#include <VirtualWire.h>

// Sender-Pin (PWM)
int TX_PIN = 11;
// ID Sender
int TX_ID = 3;

// Daten als Struct
typedef struct txData
{
  int TX_ID;
  int Data1;
  int Data2;
  int VBat;
};

void setup() 
{
  // Serielle Schnittstelle
  Serial.begin(9600);
  // Drahtlose Schnittstelle, 2000 Bits pro Sekunde
  vw_setup(2000);
  // Daten senden - Start
  vw_set_tx_pin(TX_PIN);
}


void loop()
{
  // Daten zu senden
  struct txData payload;
  // Adresse des Senders
  payload.TX_ID = TX_ID;
  // Wert Sensor 1
  payload.Data1 =111;
  // Wert Sensor 2
  payload.Data2 =222;
  // Wert Batteriespannung
  payload.VBat=3300;
  // Daten senden
  vw_send((uint8_t *)&payload, sizeof(payload));
  vw_wait_tx();
  // Warten 2 Sekunden
  delay(2000);
}


