//
// Datenlogger mit RTC und SD-Karte
//

#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

#include <Wire.h>
#include <DS1307.h>

#include <SD.h>

// Chip Select, Signal SS (Slave Select)

int chipSelect = 10;

int LDRPin = 0;

void setup()
{
  // Serielle Schnittstelle
  Serial.begin(9600);
  Serial.print("Start Datenlogger...");
  // SPI Chip Select als Ausgang setzen, auch wenn nicht genutzt
  pinMode(10, OUTPUT);

  // Uhrenbaustein starten
  RTC.stop();
  RTC.start();
  
  // Prüfen, ob SD-Card bereit ist für Initialisierung
  if (!SD.begin(chipSelect))
  {
    Serial.println("SD-Karte nicht bereit oder fehlt");
    // nichts weiter zu tun
    return;
  }
  Serial.println("SD-Karte initialisiert");
}

void loop()
{
  // String für Daten
  String dataString = "";

  // Uhrzeit
  dataString +=RTC.get(DS1307_HR,true);
  dataString +=":";
  dataString +=RTC.get(DS1307_MIN,false);
  dataString +=":";
  dataString +=RTC.get(DS1307_SEC,false);
  dataString +=",";
  dataString +=RTC.get(DS1307_DATE,false);
  dataString +="/";
  dataString +=RTC.get(DS1307_MTH,false);
  dataString +="/";
  dataString +=RTC.get(DS1307_YR,false);
  
  // Abstand zu Sensorwert
  dataString +=",";
  
  // Wert von LDR einlesen
  int sensor = analogRead(LDRPin);
  sensor = 249;
  dataString += String(sensor);
  
  // Datenfile öffnen
  // es kann immer nur ein File gleichzeitig geöffnet werden
  File dataFile = SD.open("log.txt", FILE_WRITE);

  // falls File bereit, Daten schreiben
  if (dataFile) {
    dataFile.println(dataString);
    dataFile.close();
    // Daten auf seriellen Port schreiben
    Serial.println(dataString);
  }  
  // Falls Fehler beim Öffnen des Files, Meldung ausgeben
  else {
    Serial.println("Fehler beim Öffnen des Datenfiles log.txt");
  } 

  // warten 5 Sekunden
  delay(5000);
}









