//
// Lesen der Daten aus dem EEPROM
//

#include <EEPROM.h>

int adr = 0;
int wertEE;
int maxSpeicher=1024;

void setup()
{
  Serial.begin(9600);
  Serial.println("EEPROM - Lesen...");
}

void loop()
{
  // Daten lesen aus EEPROM
  wertEE = EEPROM.read(adr);
  
  // Ausgabe an serielle Schnittstelle
  Serial.print(adr);
  Serial.print(": ");
  Serial.println(wertEE);
  
  // Adresszähler erhöhen
  adr = adr + 1;
  // Falls Adresse = 1024, wieder bei 0 beginnen
  if (adr == maxSpeicher) {
    adr = 0;
  }
  delay(500);
}

void ClearEEPROM ()
{
  // ganzes EEPROM durchlaufen
  for (int a=0; a < maxSpeicher; a++)
  {
    // und Werte auf 0 setzen
    EEPROM.write(a, 0);
  }
}
