//
// Daten senden an ThingSpeak
//

#include "ThingSpeak.h"
#include <SPI.h>
#include <Ethernet.h>

byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED};
EthernetClient client;

#define VOLTAGE_MAX 5.0
#define VOLTAGE_MAXCOUNTS 1023.0

/*
  *****************************************************************************************
  **** Visit https://www.thingspeak.com to sign up for a free account and create
  **** a channel.  The video tutorial http://community.thingspeak.com/tutorials/thingspeak-channels/ 
  **** has more information. You need to change this to your channel, and your write API key
  **** IF YOU SHARE YOUR CODE WITH OTHERS, MAKE SURE YOU REMOVE YOUR WRITE API KEY!!
  *****************************************************************************************/
unsigned long myChannelNumber = 180285;
const char * myWriteAPIKey = "*********";

void setup() 
{
  // Ethernt-Client
  Ethernet.begin(mac);
  // ThingSpeak
  ThingSpeak.begin(client);
}

void loop() {
  // Analoger Eingang A0 einlesen
  int sensorValue = analogRead(A0);
  //float valLDR = sensorValue * (VOLTAGE_MAX / VOLTAGE_MAXCOUNTS);
  int valLDR=sensorValue;

  ThingSpeak.writeField(myChannelNumber, 1, valLDR, myWriteAPIKey);
  
  // Warten bis zur nächsten Messung
  delay(20000); // ThingSpeak will only accept updates every 15 seconds.
}

