//
// Temperatur-Messung mit DS1820
//

// Bibliotheken
#include <OneWire.h>
#include <DallasTemperature.h>

// 1-Wire-Bus an Pin 2
#define ONE_WIRE_BUS 2
// Mess-Auflösung
#define TEMPERATURE_PRECISION 12

// 1-Wire-Bus instanziieren
OneWire oneWire(ONE_WIRE_BUS);

// Instanziieren der Sensoren
DallasTemperature sensors(&oneWire);


void setup()
{
  // Serieller Port
  Serial.begin(9600);
  Serial.println("Temperaturmessung mit DS1820");

  // Start der Sensorübertragung
  sensors.begin();

  // Anzahl Sensoren suchen und anzeigen
  Serial.print("Sensoren suchen...");
  Serial.print(sensors.getDeviceCount(), DEC);
  Serial.println(" Sensoren am Bus.");
  delay(1000); 
}


void loop()
{ 
  Serial.print("Sensoren abfragen...");
  sensors.requestTemperatures();
  Serial.println("OK");

  // Sensor 1 abfragen (Master)
  float tempC1 = sensors.getTempCByIndex(0);
  // Anzeige Wert von Sensor 1
  Serial.print("Sensor 1: ");
  Serial.print(tempC1);
  Serial.println(" Grad C");

  // Sensor 2 abfragen (Slave)
  float tempC2 = sensors.getTempCByIndex(1);
  // Anzeige Wert von Sensor 2
  Serial.print("Sensor 2: ");
  Serial.print(tempC2);
  Serial.println(" Grad C");


  // Warten 5 Sekunden
  delay(5000);
}

