//
// GPS-Modul - Anzeige Position
// 

#include <TinyGPS++.h>
#include <SoftwareSerial.h>

int rxPin = 2;
int txPin = 3;

// GPS-Objekt
TinyGPSPlus gps;

// Softwaremässige serielle Schnittstelle
SoftwareSerial serialGPS(rxPin, txPin);

void setup()
{
  // Start serielle Schnittstelle
  Serial.begin(115200);
  // Start serielle Schnittstelle GPS
  serialGPS.begin(4800);

  // Ausgabe Startmeldung
  Serial.println("GPS-Modul"); 
  Serial.println("TinyGPS++ "); 
  Serial.println(TinyGPSPlus::libraryVersion());
}

void loop()
{
  // Darstellung GPS-Daten 
  while (serialGPS.available() > 0)
    if (gps.encode(serialGPS.read()))
    {
      showLocation();
      }

  if (millis() > 5000 && gps.charsProcessed() < 10)
  {
    Serial.println(F("Kein GPS gefunden"));
    while(true);
  }
}

void showLocation()
{
  // Positionsdaten
  if (gps.location.isValid())
  {
    Serial.println("Location: "); 
    Serial.print(gps.location.lat(), 6);
    Serial.print(",");
    Serial.println(gps.location.lng(), 6);
   }
}
