//
// DHT11-Sensor
//

#include "DHT.h"

// Datenpin
#define DHTPIN 2

// Sensortyp
#define DHTTYPE DHT11      // DHT11
//#define DHTTYPE DHT22    // DHT 22 (AM2302), AM2321
//#define DHTTYPE DHT21    // DHT 21 (AM2301)     

// Sensor-Objekt erstellen
DHT dht(DHTPIN, DHTTYPE);

void setup() 
{
  Serial.begin(9600);
  Serial.println("DHT11 - Wetterstation");
  dht.begin();
}

void loop() 
{
  // Luftfeuchtigkeit abfragen
  float h = dht.readHumidity();
  // Temperatur in Grad C abfragen
  float t = dht.readTemperature();
  // Temperatur in Grad Fahrenheit abfragen
  float f = dht.readTemperature(true);

  // Prüfen, ob Sensorabfrage korrekt ist
  if (isnan(h) || isnan(t) || isnan(f)) {
    Serial.println("Fehler beim Abfragen des Sensors");
    return;
  }

  // Ausgabe der Messwerte

  Serial.print("Luftfeuchtigkeit: ");
  Serial.print(h);
  Serial.print(" %, ");
  Serial.print("Temperatur: ");
  Serial.print(t);
  Serial.print(" C/");
  Serial.print(f);
  Serial.println(" F");

  // 2 Sekunden warten zwischen den Messungen
  delay(2000);
}
