//
// SHT3x-Sensor - Abfrage Temp/Hum via I2C
// I2C-Adresse I2x: 0x44 (gemäss I2C-Scanner)
//

#include <Wire.h>

#include "sht3x.h"

// SHT-Objekt
SHT3X sht3x;

void setup() 
{
  // I2C-Adresse
  sht3x.setAddress(SHT3X::I2C_ADDRESS_44);
  // Auflösung setzen
  sht3x.setAccuracy(SHT3X::ACCURACY_MEDIUM);
  // I2C-Bus starten
  Wire.begin();
  // Serielle Schnittstelle starten  
  Serial.begin(9600);
  // Pause
  delay(1000);
}

void loop() 
{
  // Messung starten
  sht3x.readSample();
  Serial.print("Temp/Hum:  ");
  // Abfrage Temperatur
  Serial.print(sht3x.getTemperature(), 2);
  Serial.print(" Grad/");
  // Abfrage Feuchtigkeit
  Serial.print(sht3x.getHumidity(), 2);
  Serial.println(" %");

  // 5 Sekunden warten bis nächste Messung
  delay(5000);
}
